API reference

Team inbox API

Assign, close and annotate chats, manage quick replies and get AI reply suggestions for the shared team inbox.

GET /api/inbox

Get inbox. Authenticate with your account api key.

FieldInTypeRequiredNotes
channel_idquerystringNo
statusqueryobjectNoOne of: open, closed, all
assignedquerystringNo
qquerystringNoUp to 80 characters
curl -X GET https://agakural.online/api/inbox \
  -H "Authorization: Bearer $TOKEN"

GET /api/inbox/{channel}/{chat}

Get one inbox. Authenticate with your account api key.

FieldInTypeRequiredNotes
channelpathstringYes
chatpathstringYes
curl -X GET https://agakural.online/api/inbox/{channel}/{chat} \
  -H "Authorization: Bearer $TOKEN"

POST /api/inbox/{channel}/{chat}/ai

Create inbox ai. Authenticate with your account api key.

FieldInTypeRequiredNotes
channelpathstringYes
chatpathstringYes
onbodybooleanYes
curl -X POST https://agakural.online/api/inbox/{channel}/{chat}/ai \
  -H "Authorization: Bearer $TOKEN" \
  -H "Content-Type: application/json" \
  -d '{"on": true}'

POST /api/inbox/{channel}/{chat}/assign

Create inbox assign. Authenticate with your account api key.

FieldInTypeRequiredNotes
channelpathstringYes
chatpathstringYes
tobodystringNoUp to 64 characters
curl -X POST https://agakural.online/api/inbox/{channel}/{chat}/assign \
  -H "Authorization: Bearer $TOKEN"

POST /api/inbox/{channel}/{chat}/close

Create inbox close. Authenticate with your account api key.

FieldInTypeRequiredNotes
channelpathstringYes
chatpathstringYes
closedbodybooleanNo
curl -X POST https://agakural.online/api/inbox/{channel}/{chat}/close \
  -H "Authorization: Bearer $TOKEN"

POST /api/inbox/{channel}/{chat}/notes

Create inbox notes. Authenticate with your account api key.

FieldInTypeRequiredNotes
channelpathstringYes
chatpathstringYes
bodybodystringYesUp to 2000 characters
curl -X POST https://agakural.online/api/inbox/{channel}/{chat}/notes \
  -H "Authorization: Bearer $TOKEN" \
  -H "Content-Type: application/json" \
  -d '{"body": "body"}'

POST /api/inbox/{channel}/{chat}/reply

Create inbox reply. Authenticate with your account api key.

FieldInTypeRequiredNotes
channelpathstringYes
chatpathstringYes
bodybodystringYesUp to 4096 characters
curl -X POST https://agakural.online/api/inbox/{channel}/{chat}/reply \
  -H "Authorization: Bearer $TOKEN" \
  -H "Content-Type: application/json" \
  -d '{"body": "body"}'

POST /api/inbox/{channel}/{chat}/suggest

Create inbox suggest. Authenticate with your account api key.

FieldInTypeRequiredNotes
channelpathstringYes
chatpathstringYes
languagebodyobjectNoOne of: en, ta, hi, tanglish, hinglish
curl -X POST https://agakural.online/api/inbox/{channel}/{chat}/suggest \
  -H "Authorization: Bearer $TOKEN"

GET /api/quick-replies

Get quick replies. Authenticate with your account api key.

curl -X GET https://agakural.online/api/quick-replies \
  -H "Authorization: Bearer $TOKEN"

POST /api/quick-replies

Create quick replies. Authenticate with your account api key.

FieldInTypeRequiredNotes
titlebodystringYesUp to 60 characters
bodybodystringYesUp to 2000 characters
curl -X POST https://agakural.online/api/quick-replies \
  -H "Authorization: Bearer $TOKEN" \
  -H "Content-Type: application/json" \
  -d '{"title": "title", "body": "body"}'

DELETE /api/quick-replies/{id}

Delete a quick replies. Authenticate with your account api key.

FieldInTypeRequiredNotes
idpathstringYes
curl -X DELETE https://agakural.online/api/quick-replies/{id} \
  -H "Authorization: Bearer $TOKEN"